Bug 1312577 - Review Request: python-pyopengl - Python bindings for OpenGL
Review Request: python-pyopengl - Python bindings for OpenGL
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1249421
  Show dependency treegraph
 
Reported: 2016-02-27 09:16 EST by Jonathan Underwood
Modified: 2016-02-29 09:35 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-29 09:35:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jonathan Underwood 2016-02-27 09:16:39 EST
Spec URL: https://fedorapeople.org/~jgu/python-PyOpenGL.spec
SRPM URL: https://fedorapeople.org/~jgu/python-PyOpenGL-3.1.1a1-0.fc23.src.rpm
Description: PyOpenGL is the cross platform Python binding to OpenGL and related APIs. It includes support for OpenGL v1.1, GLU, GLUT v3.7, GLE 3 and WGL 4. It also includes support for dozens of extensions (where supported in the underlying
implementation).
Fedora Account System Username: jgu

This is a rename review. The old package name was PyOpenGL, which provided the python2 bindings, and had subpackages for python3. This new package follows the modern python packaging guidelines:

1) The main package name is now python-PyOpenGL
2) There are separate subpackages for python2-PyOpenGL and python3-PyOpenGL
3) The python2-PyOpenGL package has Obsoletes and Provides for PyOpenGL so as not to break upgrade paths
4) The python 2 Tk subpackage is now called python2-PyOpenGL-Tk, and has Obsoletes and Provides for the old name of the subpackage, PyOpenGL-Tk.
Comment 1 Neal Gompa 2016-02-27 10:27:23 EST
Under the python2-* subpackages, your Provides should be set to be equal to %{version}-%{release}, as you are providing the equivalent package under a different name.

For example, the Obsoletes+Provides pair for python2-PyOpenGL should be:
Obsoletes:      PyOpenGL < 3.1.0-7
Provides:       PyOpenGL = %{version}-%{release}

Same goes for the python2-PyOpenGL-Tk package.
Comment 2 Jonathan Underwood 2016-02-27 13:23:38 EST
Spec URL: https://fedorapeople.org/~jgu/python-PyOpenGL.spec
SRPM URL: https://fedorapeople.org/~jgu/python-PyOpenGL-3.1.1a1-1.fc23.src.rpm


* Sat Feb 27 2016 Jonathan Underwood <Jonathan G. Underwood@gmail.com> - 3.1.1a1-1
- Fix Provides for renamed sub-packages
- Use standard build and install python packaging macros
Comment 3 Zbigniew Jędrzejewski-Szmek 2016-02-27 20:59:29 EST
The guidelines changed a while ago, and package names should be lowercase [https://fedoraproject.org/wiki/Packaging:NamingGuidelines#General_Naming].

Looks good otherwise.

rpmlint: only no-documentation, and bogus spelling errors.
Comment 4 Raphael Groner 2016-02-28 09:20:00 EST
Why not use the name python-opengl, so subpackages python3-opengl and python2-opengl?
Comment 5 Jonathan Underwood 2016-02-28 09:25:02 EST
Spec URL: https://fedorapeople.org/~jgu/python-pyopengl.spec
SRPM URL: https://fedorapeople.org/~jgu/python-pyopengl-3.1.1a1-1.fc23.src.rpm

* Sat Feb 27 2016 Jonathan Underwood <Jonathan G. Underwood@gmail.com> - 3.1.1a1-2
- Rename package to python-pyopengl
- Rename -Tk subpackages to -tk
- Fix Requires of python2-pyopengl-Tk to require python2-pyopengl
Comment 6 Jonathan Underwood 2016-02-28 09:27:09 EST
(In reply to Raphael Groner from comment #4)
> Why not use the name python-opengl, so subpackages python3-opengl and
> python2-opengl?

Well... because the name of the project is pyopengl/PyOpenGl. And in the future, there might well be another project calling itself python-opengl (the pyopengl bindings are only one way this could be done, and have some limitations -in fact there are other bindings that people are working on).
Comment 7 Jonathan Underwood 2016-02-28 09:38:14 EST
Spec URL: https://fedorapeople.org/~jgu/python-pyopengl.spec
SRPM URL: https://fedorapeople.org/~jgu/python-pyopengl-3.1.1a1-3.fc23.src.rpm


* Sat Feb 27 2016 Jonathan Underwood <Jonathan G. Underwood@gmail.com> - 3.1.1a1-3
- Fix python_provide macro calls for the -tk packages
Comment 8 Zbigniew Jędrzejewski-Szmek 2016-02-28 14:23:48 EST
Looks good. I tested the upgrade path in rawhide, no issues.

Package is APPROVED.
Comment 9 Jonathan Underwood 2016-02-29 05:11:26 EST
Great, thanks for the review, much appreciated.
Comment 10 Gwyn Ciesla 2016-02-29 08:36:40 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-pyopengl

Note You need to log in before you can comment on or make changes to this bug.